<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>

<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>	
		<section>
			<h2>HTML Entities</h2>
			<p>
				<em>Reserved characters in HTML (e.g. &lt; &gt; characters that can mix up with HTML codes).</em>
			</p>

			<!-- Defines an HTML Tables -->
			<table border="1">
				<!-- thead is used to group table header content -->
				<thead>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table row -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- Used to group table body -->

				<tbody>
					<!-- thead is used to group table body content -->
					<tr>
						<!-- Defines a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<!-- Defines a table data element -->
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>//8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>apos</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>

				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

			<section>
				<p>HTML Forms</p>
			<p><em>Input elements that make up a form</em></p>

			<!-- Cretaes an HTML form to capture user inpput -->
			<form action="">
				<!-- Creates a label and allows for inout field selection when  clicked -->
				<label for="full_name">Full name: </label><br>
				<input type="text" name="full_name" id="full_name" required autocomplete><br><br>

				<label for="birth_date">Birthdate: </label><br>
				<input type="date" name="birth_date" id="birth_date" required><br><br>

				<label for="age">Age: </label><br>
				<input type="number" name="age" id="age" required min="1" required max="5"><br><br>

				<label for="gender">Gender: </label><br>
				<!-- Creates a dropdown menu -->
				<select name="gender">
				<!-- Creates an option for the dropdown -->
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br><br>

				<!-- Creates a text area -->
				<label for="notes">Notes</label><br>
				<!-- Creates a larger text input -->
				<textarea name="notes" rows="5" id="notes"></textarea><br><br>

				<!-- Radio button -->
				<label>New User: </label><br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label><br>

				<input type="radio" name="new_user" id="user-type2" value="yes">
				<label for="user-type2">No</label><br><br>

				<!-- Checkboxes -->
				<label>Role: </label><br>
				<!-- Create checkboxes for multiple choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Student</label><br>

				<!-- Creates a button that will submit and reset the form data -->
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
			</section>
	</main>

</body>
</html>